<html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:w="urn:schemas-microsoft-com:office:word" xmlns:m="http://schemas.microsoft.com/office/2004/12/omml" xmlns="http://www.w3.org/TR/REC-html40">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
<meta name="Generator" content="Microsoft Word 15 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
        {font-family:"Cambria Math";
        panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
        {font-family:Calibri;
        panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
        {margin:0in;
        margin-bottom:.0001pt;
        font-size:11.0pt;
        font-family:"Calibri",sans-serif;}
a:link, span.MsoHyperlink
        {mso-style-priority:99;
        color:#0563C1;
        text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
        {mso-style-priority:99;
        color:#954F72;
        text-decoration:underline;}
span.EmailStyle17
        {mso-style-type:personal-compose;
        font-family:"Calibri",sans-serif;
        color:windowtext;}
.MsoChpDefault
        {mso-style-type:export-only;}
@page WordSection1
        {size:8.5in 11.0in;
        margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
        {page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext="edit" spidmax="1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext="edit">
<o:idmap v:ext="edit" data="1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang="EN-US" link="#0563C1" vlink="#954F72">
<div class="WordSection1">
<p class="MsoNormal">Right now, when I follow the instructions to install mono<o:p></o:p></p>
<p class="MsoNormal"><a href="http://www.mono-project.com/docs/getting-started/install/linux/#centos-fedora-and-derivatives">http://www.mono-project.com/docs/getting-started/install/linux/#centos-fedora-and-derivatives</a><o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal" style="margin-left:.5in">rpm --import "http://keyserver.ubuntu.com/pks/lookup?op=get&search=0x3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF"<o:p></o:p></p>
<p class="MsoNormal" style="margin-left:.5in">yum-config-manager --add-repo <a href="http://download.mono-project.com/repo/centos/">
http://download.mono-project.com/repo/centos/</a><o:p></o:p></p>
<p class="MsoNormal" style="margin-left:.5in"><o:p> </o:p></p>
<p class="MsoNormal" style="margin-left:.5in">wget <a href="https://dl.fedoraproject.org/pub/epel/epel-release-latest-6.noarch.rpm">
https://dl.fedoraproject.org/pub/epel/epel-release-latest-6.noarch.rpm</a><o:p></o:p></p>
<p class="MsoNormal" style="margin-left:.5in">rpm -ivh epel-release-latest-6.noarch.rpm<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal">On a RHEL 6.7 x86_64 box, fully updated, with EPEL repo installed, and then I run (as root)<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal" style="text-indent:.5in">yum -y install  mono-complete<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal">I get a bunch of errors, including <o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal" style="margin-left:.5in">Error: Package: mono-devel-4.0.4.1-0.xamarin.1.x86_64 (download.mono-project.com_repo_centos_)<o:p></o:p></p>
<p class="MsoNormal" style="margin-left:.5in">           Requires: libc.so.6(GLIBC_2.15)(64bit)<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal">So I double-checked that my system is fully updated, and confirmed that I have merely glibc_2.12.<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal">So then I thought, maybe you guys support on Centos but not RHEL? And I looked at what's available in Centos ... Centos only goes up to 2.12.<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal">So I have to conclude there's something buggered in your yum repo. Requiring a version of glibc later than what the OS provides.<o:p></o:p></p>
<p class="MsoNormal"><o:p> </o:p></p>
<p class="MsoNormal">This sort of thing happens often enough, that in general I don't use the mono repositories (because then I get stuck in positions like I am now, where installing mono is blocking productivity). I have to remove the mono repository, and
 rely on version 2.10 provided by epel. I wish you could improve the testing of this release process.<o:p></o:p></p>
</div>
</body>
</html>